tvbrowser.extras.programinfo

## Class ProgramInfoSettings

- java.lang.Object
- - tvbrowser.extras.programinfo.ProgramInfoSettings

-      class ProgramInfoSettings
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static int` | `DURATION_END_TYPE_VALUE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ProgramInfoSettings(java.util.Properties properties)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `getActorSearch()`
    `protected boolean` | `getAntialiasing()`
    `protected java.lang.String` | `getBodyFontName()`
    `protected int` | `getBodyFontSize()`
    `protected int` | `getBodyFontStyle()`
    `protected boolean` | `getEnableSearch()`
    `protected boolean` | `getExpanded(java.lang.String key)`
    `protected java.lang.Object[]` | `getFieldOrder()`
    `protected int` | `getHeight()`
    `protected java.awt.Color` | `getHighlightColor()`
    `protected boolean` | `getHighlightFavorite()`
    `protected java.lang.String` | `getLook()`
    `protected int` | `getPictureSettings()`
    `protected boolean` | `getSetupwasdone()`
    `protected boolean` | `getShowFunctions()`
    `protected boolean` | `getShowSearch()`
    `protected boolean` | `getShowSearchButton()`
    `protected java.lang.String` | `getTitleFontName()`
    `protected int` | `getTitleFontSize()`
    `protected int` | `getTitleFontStyle()`
    `protected java.awt.Font` | `getUsedBodyFont()`
    `protected java.awt.Font` | `getUsedTitleFont()`
    `protected boolean` | `getUserFont()`
    `protected int` | `getWidth()`
    `protected boolean` | `getZoomEnabled()`
    `protected int` | `getZoomValue()`
    `protected void` | `setActorSearch(java.lang.String value)`
    `protected void` | `setAntialiasing(boolean value)`
    `protected void` | `setBodyFontName(java.lang.String name)`
    `protected void` | `setBodyFontSize(int size)`
    `protected void` | `setBodyFontStyle(int style)`
    `protected void` | `setEnableSearch(boolean enable)`
    `protected void` | `setExpanded(java.lang.String key, boolean value)`
    `protected void` | `setFieldOrder(java.lang.Object[] order)`
    `protected void` | `setHeight(int height)`
    `protected void` | `setHighlightColor(java.awt.Color color)`
    `protected void` | `setHighlightFavorite(boolean highlight)`
    `protected void` | `setLook(java.lang.String name)`
    `protected void` | `setPictureSettings(int type)`
    `protected void` | `setSetupwasdone(boolean b)`
    `protected void` | `setShowFunctions(boolean show)`
    `protected void` | `setShowSearch(boolean show)`
    `protected void` | `setShowSearchButton(boolean show)`
    `protected void` | `setTitleFontName(java.lang.String name)`
    `protected void` | `setTitleFontSize(int size)`
    `protected void` | `setTitleFontStyle(int style)`
    `protected void` | `setUserFont(boolean selected)`
    `protected void` | `setWidth(int width)`
    `protected void` | `setZoomEnabled(boolean enabled)`
    `protected void` | `setZoomValue(int value)`
    `protected void` | `storeSettings(ConfigurationHandler configurationHandler)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DURATION_END_TYPE_VALUE

          static final int DURATION_END_TYPE_VALUE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ProgramInfoSettings

          protected ProgramInfoSettings(java.util.Properties properties)

  - ### Method Detail

    - #### getShowFunctions

          protected boolean getShowFunctions()

    - #### getShowSearchButton

          protected boolean getShowSearchButton()

    - #### getAntialiasing

          protected boolean getAntialiasing()

    - #### getUserFont

          protected boolean getUserFont()

    - #### getTitleFontSize

          protected int getTitleFontSize()

    - #### getBodyFontSize

          protected int getBodyFontSize()

    - #### getTitleFontName

          protected java.lang.String getTitleFontName()

    - #### getBodyFontName

          protected java.lang.String getBodyFontName()

    - #### setAntialiasing

          protected void setAntialiasing(boolean value)

    - #### setTitleFontName

          protected void setTitleFontName(java.lang.String name)

    - #### setTitleFontSize

          protected void setTitleFontSize(int size)

    - #### setBodyFontName

          protected void setBodyFontName(java.lang.String name)

    - #### setUserFont

          protected void setUserFont(boolean selected)

    - #### setBodyFontSize

          protected void setBodyFontSize(int size)

    - #### getActorSearch

          protected java.lang.String getActorSearch()

    - #### setActorSearch

          protected void setActorSearch(java.lang.String value)

    - #### setZoomEnabled

          protected void setZoomEnabled(boolean enabled)

    - #### setZoomValue

          protected void setZoomValue(int value)

    - #### setShowFunctions

          protected void setShowFunctions(boolean show)

    - #### setShowSearchButton

          protected void setShowSearchButton(boolean show)

    - #### getZoomEnabled

          protected boolean getZoomEnabled()

    - #### getZoomValue

          protected int getZoomValue()

    - #### getEnableSearch

          protected boolean getEnableSearch()

    - #### setEnableSearch

          protected void setEnableSearch(boolean enable)

    - #### setPictureSettings

          protected void setPictureSettings(int type)

    - #### getPictureSettings

          protected int getPictureSettings()

    - #### setWidth

          protected void setWidth(int width)

    - #### setHeight

          protected void setHeight(int height)

    - #### getWidth

          protected int getWidth()

    - #### getHeight

          protected int getHeight()

    - #### getExpanded

          protected boolean getExpanded(java.lang.String key)

    - #### setExpanded

          protected void setExpanded(java.lang.String key,
                         boolean value)

    - #### setSetupwasdone

          protected void setSetupwasdone(boolean b)

    - #### getSetupwasdone

          protected boolean getSetupwasdone()

    - #### setShowSearch

          protected void setShowSearch(boolean show)

    - #### getShowSearch

          protected boolean getShowSearch()

    - #### storeSettings

          protected void storeSettings(ConfigurationHandler configurationHandler)
                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getUsedTitleFont

          protected java.awt.Font getUsedTitleFont()

    - #### getUsedBodyFont

          protected java.awt.Font getUsedBodyFont()

    - #### getLook

          protected java.lang.String getLook()

    - #### setLook

          protected void setLook(java.lang.String name)

    - #### getFieldOrder

          protected java.lang.Object[] getFieldOrder()

    - #### setFieldOrder

          protected void setFieldOrder(java.lang.Object[] order)

    - #### setHighlightColor

          protected void setHighlightColor(java.awt.Color color)

    - #### getHighlightColor

          protected java.awt.Color getHighlightColor()

    - #### getHighlightFavorite

          protected boolean getHighlightFavorite()

    - #### setHighlightFavorite

          protected void setHighlightFavorite(boolean highlight)

    - #### getTitleFontStyle

          protected int getTitleFontStyle()

    - #### getBodyFontStyle

          protected int getBodyFontStyle()

    - #### setTitleFontStyle

          protected void setTitleFontStyle(int style)

    - #### setBodyFontStyle

          protected void setBodyFontStyle(int style)

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)